body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f4f4f4;
}

div.container {
  max-width: 1600px;
  margin: 50px auto;
  padding: 20px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}

#status {
  white-space: pre;
  font-family: monospace;
  background-color: #f4f4f4;
  border-radius: 8px;
  padding: 8px;
}

#status.error {
  background-color: #fdd;
}

.tree {
  margin-top: 20px;
  width: 100%;
  font-family: monospace;
  padding: 8px;
}

.tree > .row {
  display: grid;
  grid-template-columns: 350px 100px 250px 1fr;
  border-bottom: 1px solid #ddd;
  padding: 6px 8px;
}

.tree > .header {
  background-color: #4caf50;
  color: white;
  font-weight: bold;
  font-size: 1.5em;
  border-bottom: 1px solid #ddd;
}

.tree > .row:not(.header):hover {
  background-color: #f5f5f5;
}

.tree > .row:not(.header) > .name {
  font-size: 1.2em;
  text-decoration: underline;
  cursor: pointer;
  color: #007bff;
}

.tree > .row > .params > a:not(:first-child) {
  margin-left: 8px;
}
